<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Flex container</title>
    <link rel="stylesheet" href="../css/style.css">
</head>

<body>
    <h1>Display flex</h1>
    <div class="container">
        <div class="item">01</div>
        <div class="item">02</div>
        <div class="item">03</div>
        <div class="item">04</div>
        <div class="item">05</div>

    </div>


    <h1>Flex Direction</h1>
    <h3>Row</h3>
    <p>Itens organizados para a exibição da esquerda para a direita</p>
    <div class="container row">
        <div class="item">01</div>
        <div class="item">02</div>
        <div class="item">03</div>
        <div class="item">04</div>
        <div class="item">05</div>

    </div>

    <h3>Row-reverse</h3>
    <p>Itens organizados para a exibição da direita para a esquerda</p>
    <div class="container row-reverse">
        <div class="item">01</div>
        <div class="item">02</div>
        <div class="item">03</div>
        <div class="item">04</div>
        <div class="item">05</div>

    </div>

    <h3>Column</h3>
    <p>Itens organizados em colunas, de cima para baixo</p>
    <div class="container column">
        <div class="item">01</div>
        <div class="item">02</div>
        <div class="item">03</div>
        <div class="item">04</div>
        <div class="item">05</div>

    </div>

    <h3>Column-reverse</h3>
    <p>Itens organizados em colunas, de baixo para cima</p>
    <div class="container column-reverse">
        <div class="item">01</div>
        <div class="item">02</div>
        <div class="item">03</div>
        <div class="item">04</div>
        <div class="item">05</div>

    </div>

    <h1>Flex-Wrap</h1>
    <h3>Nowrap</h3>
    <p>Todos os itens serão dispostos em uma linha</p>
    <div class="container nowrap">
        <div class="item">01</div>
        <div class="item">02</div>
        <div class="item">03</div>
        <div class="item">04</div>
        <div class="item">05</div>

    </div>

    <h3>Wrap</h3>
    <p>Ocorrerá a quebra de linha e os itens mais à direita serão deslocados para a linha de baixo</p>
    <div class="container wrap">
        <div class="item">01</div>
        <div class="item">02</div>
        <div class="item">03</div>
        <div class="item">04</div>
        <div class="item">05</div>

    </div>

    <h3>Wrap-reverse</h3>
    <p>Ocorrerá a quebra de linha e os itens mais à direita serão deslocados para a linha de cima</p>
    <div class="container wrap-reverse">
        <div class="item">01</div>
        <div class="item">02</div>
        <div class="item">03</div>
        <div class="item">04</div>
        <div class="item">05</div>

    </div>

    <h1>Justify-content</h1>
    <h3>Flex-start</h3>
    <p> Os itens são alinhados a partir do início do eixo principal</p>
    <div class="container flex-start">
        <div class="item">01</div>
        <div class="item">02</div>
        <div class="item">03</div>
    </div>

    <h3>Flex-end</h3>
    <p>Os itens são alinhados a partir do fim do eixo principal</p>
    <div class="container flex-end">
        <div class="item">01</div>
        <div class="item">02</div>
        <div class="item">03</div>

    </div>

    <h3>Center</h3>
    <p>Os itens são alinhados ao centro do eixo principal</p>
    <div class="container center">
        <div class="item">01</div>
        <div class="item">02</div>
        <div class="item">03</div>

    </div>

    <h3>Space-between</h3>
    <p>O primeiro item é deslocado para o início do eixo principal, o último é deslocado para o final do eixo principal
        e os demais são distribuídos uniformemente entre eles</p>
    <div class="container space-between">
        <div class="item">01</div>
        <div class="item">02</div>
        <div class="item">03</div>

    </div>

    <h3>Space-around</h3>
    <p>Os itens são uniformemente distribuídos ao longo do eixo principal. Aqui, porém, são atribuídas margens iguais à
        esquerda e à direita (ou acima e abaixo, dependendo da direção do eixo principal). Por isso o primeiro e o
        último item não ficam “colados” nas bordas do container.</p>
    <div class="container space-around">
        <div class="item">01</div>
        <div class="item">02</div>
        <div class="item">03</div>
    </div>


</body>

</html>